#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf16e3b17, "module_layout" },
	{ 0x57065409, "platform_driver_unregister" },
	{ 0x4159c358, "__platform_driver_register" },
	{ 0x3ebcb3f1, "_dev_warn" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xdadb93ae, "request_firmware_nowait" },
	{ 0x5d41c550, "of_property_read_string" },
	{ 0xd136934c, "of_address_to_resource" },
	{ 0x6228b35f, "of_find_compatible_node" },
	{ 0xe487fe14, "of_dma_controller_register" },
	{ 0xbc7a9c25, "dma_async_device_register" },
	{ 0x31722d68, "vchan_init" },
	{ 0x8f165235, "devm_request_threaded_irq" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x46e34fd9, "devm_clk_get" },
	{ 0xf709e25a, "devm_ioremap_resource" },
	{ 0xa623e445, "platform_get_resource" },
	{ 0x6e573b1d, "platform_get_irq" },
	{ 0xa0b6e6da, "of_device_get_match_data" },
	{ 0x2684241c, "devm_kmalloc" },
	{ 0x3f6a0155, "dma_set_coherent_mask" },
	{ 0xca0160e8, "dma_set_mask" },
	{ 0x87b8798d, "sg_next" },
	{ 0x9c62a056, "vchan_tx_desc_free" },
	{ 0x76ad86cd, "vchan_tx_submit" },
	{ 0xa1e8cd6c, "dma_async_tx_descriptor_init" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4b140e9f, "cpu_hwcap_keys" },
	{ 0x14b89635, "arm64_const_caps_ready" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc872dfe, "kmem_cache_alloc_trace" },
	{ 0x782bd0dd, "kmalloc_caches" },
	{ 0x411bffa7, "of_node_put" },
	{ 0x2fc3ee06, "regmap_update_bits_base" },
	{ 0x13bb77f7, "of_property_read_u32_index" },
	{ 0x306460f4, "syscon_node_to_regmap" },
	{ 0x4f1e9007, "of_find_property" },
	{ 0x7bfe2bf5, "of_parse_phandle" },
	{ 0x6c084df6, "vchan_find_desc" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xd4d2ba02, "dma_async_device_unregister" },
	{ 0x302ec0d8, "devm_free_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x5120638c, "_dev_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x16638e52, "dma_alloc_attrs" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x78175d60, "vchan_dma_desc_free_list" },
	{ 0x12a38747, "usleep_range" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x7296aeab, "__dynamic_dev_dbg" },
	{ 0x815588a6, "clk_enable" },
	{ 0x37a0cba, "kfree" },
	{ 0xfda32a51, "dma_free_attrs" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xd521b44b, "__dma_request_channel" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xdd7d6499, "_dev_err" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
};

MODULE_INFO(depends, "virt-dma");

MODULE_ALIAS("of:N*T*Cfsl,imx6q-sdma");
MODULE_ALIAS("of:N*T*Cfsl,imx6q-sdmaC*");
MODULE_ALIAS("of:N*T*Cfsl,imx53-sdma");
MODULE_ALIAS("of:N*T*Cfsl,imx53-sdmaC*");
MODULE_ALIAS("of:N*T*Cfsl,imx51-sdma");
MODULE_ALIAS("of:N*T*Cfsl,imx51-sdmaC*");
MODULE_ALIAS("of:N*T*Cfsl,imx35-sdma");
MODULE_ALIAS("of:N*T*Cfsl,imx35-sdmaC*");
MODULE_ALIAS("of:N*T*Cfsl,imx31-sdma");
MODULE_ALIAS("of:N*T*Cfsl,imx31-sdmaC*");
MODULE_ALIAS("of:N*T*Cfsl,imx25-sdma");
MODULE_ALIAS("of:N*T*Cfsl,imx25-sdmaC*");
MODULE_ALIAS("of:N*T*Cfsl,imx7d-sdma");
MODULE_ALIAS("of:N*T*Cfsl,imx7d-sdmaC*");
MODULE_ALIAS("of:N*T*Cfsl,imx8mq-sdma");
MODULE_ALIAS("of:N*T*Cfsl,imx8mq-sdmaC*");

MODULE_INFO(srcversion, "0C2BDBD613B6CE9BEFCBBAB");

MODULE_INFO(suserelease, "SLE15-SP4");
